Index: trunk/SRC/Grid/checkperio.pro
===================================================================
--- trunk/SRC/Grid/checkperio.pro	(revision 217)
+++ trunk/SRC/Grid/checkperio.pro	(revision 226)
@@ -8,8 +8,8 @@
 ; @param file {in}{required}{type=scalar string}
 ; A string giving the name of the NetCdf file
-; 
+;
 ; @keyword WRITE {default=0}{type=scalar: 0 or 1}
 ; Define to 1 to write the good periodicity in the file.
-; By default print only mesage of periodicity errors
+; By default print only message of periodicity errors
 ;
 ; @restrictions
@@ -38,5 +38,5 @@
 ; @history
 ; October 2006: Sebastien Masson (smasson\@locean-ipsl.upmc.fr)
-;    
+;
 ; @version
 ; $Id$
@@ -44,5 +44,5 @@
 PRO checkperio, file, WRITE = write
 
-  IF file_test(file) EQ 0 THEN BEGIN 
+  IF file_test(file) EQ 0 THEN BEGIN
     print, 'file '+file+' not found'
     RETURN
@@ -53,10 +53,10 @@
 ;
   dimsz = lonarr(finq.ndims)
-  FOR did = 0, finq.ndims-1 DO BEGIN 
+  FOR did = 0, finq.ndims-1 DO BEGIN
     ncdf_diminq, cdfid, did, name, size
     dimsz[did] = size
   ENDFOR
 ;
-  FOR vid = 0, finq.nvars-1 DO BEGIN 
+  FOR vid = 0, finq.nvars-1 DO BEGIN
     vinq =  ncdf_varinq(cdfid, vid)
     IF vinq.ndims GE 2 THEN BEGIN
@@ -68,5 +68,5 @@
 ; 2D VAR
 ;------------------------------
-        2:BEGIN 
+        2:BEGIN
 ; y periodicity (1)
           CASE 1 OF
@@ -75,5 +75,5 @@
               ncdf_varget, cdfid, vid, part2, count = [jpi-2, 1], offset = [1, jpj-3]
               part2 = reverse(shift(part2, -1))
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -85,5 +85,5 @@
               ncdf_varget, cdfid, vid, part2, count = [jpi-2, 1], offset = [1, jpj-2]
               part2 = reverse(part2)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -99,5 +99,5 @@
               ncdf_varget, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1], offset = [          2, jpj-2]
               part2 = reverse(part2)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (2)'
                 IF keyword_set(write) THEN $
@@ -112,5 +112,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj], offset = [0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj], offset = [jpi-2, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (1)'
             IF keyword_set(write) THEN $
@@ -120,5 +120,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj], offset = [jpi-1, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj], offset = [1, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (2)'
             IF keyword_set(write) THEN $
@@ -129,5 +129,5 @@
 ; 3D VAR
 ;------------------------------
-        3:BEGIN 
+        3:BEGIN
           jpk = vdimsz[2]
 ; y periodicity (1)
@@ -138,5 +138,5 @@
               IF jpk EQ 1 THEN part2 = reform(part2, jpi-2, 1, jpk, /over)
               part2 = reverse(shift(part2, -1, 0, 0), 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -149,5 +149,5 @@
               IF jpk EQ 1 THEN part2 = reform(part2, jpi-2, 1, jpk, /over)
               part2 = reverse(part2, 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -163,5 +163,5 @@
               ncdf_varget, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1, jpk], offset = [          2, jpj-2, 0]
               part2 = reverse(part2, 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (2)'
                 IF keyword_set(write) THEN $
@@ -176,5 +176,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj, jpk], offset = [0, 0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk], offset = [jpi-2, 0, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (1)'
             IF keyword_set(write) THEN $
@@ -184,5 +184,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj, jpk], offset = [jpi-1, 0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk], offset = [1, 0, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (2)'
             IF keyword_set(write) THEN $
@@ -193,5 +193,5 @@
 ; 4D VAR
 ;------------------------------
-        4:BEGIN 
+        4:BEGIN
           jpk = vdimsz[2]
           jpt = vdimsz[3]
@@ -203,5 +203,5 @@
               IF jpt EQ 1 THEN part2 = reform(part2, jpi-2, 1, jpk, jpt, /over)
               part2 = reverse(shift(part2, -1, 0, 0, 0), 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -214,5 +214,5 @@
               IF jpt EQ 1 THEN part2 = reform(part2, jpi-2, 1, jpk, jpt, /over)
               part2 = reverse(part2, 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -228,5 +228,5 @@
               ncdf_varget, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1, jpk, jpt], offset = [          2, jpj-2, 0, 0]
               part2 = reverse(part2, 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (2)'
                 IF keyword_set(write) THEN $
@@ -241,5 +241,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj, jpk, jpt], offset = [0, 0, 0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk, jpt], offset = [jpi-2, 0, 0, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (1)'
             IF keyword_set(write) THEN $
@@ -249,5 +249,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj, jpk, jpt], offset = [jpi-1, 0, 0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk, jpt], offset = [1, 0, 0, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (2)'
             IF keyword_set(write) THEN $
@@ -257,5 +257,5 @@
         ELSE:print, vinq.name+' nothing to check'
       ENDCASE
-    ENDIF    
+    ENDIF
   ENDFOR
 
Index: trunk/SRC/Grid/computegrid.pro
===================================================================
--- trunk/SRC/Grid/computegrid.pro	(revision 217)
+++ trunk/SRC/Grid/computegrid.pro	(revision 226)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ;
 ; compute the grid parameters (cm_4mesh) common
@@ -50,5 +50,5 @@
 ; ccmeshparameters, ccreadparameters
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -72,5 +72,5 @@
 ;       optional if [XY]AXIS keyword is used or stepxin is a vector
 ;
-; @param nyin {in}{optional}{type=scalar} 
+; @param nyin {in}{optional}{type=scalar}
 ;       number of points in y direction,
 ;       optional if [XY]AXIS keyword is used or stepyin is a vector
@@ -111,5 +111,5 @@
 ;
 ; @keyword SHIFT {default=computed according to glamboundary}{type=scalar}
-;       Force the manual definition of the zonal shift that must be apply to the data. 
+;       Force the manual definition of the zonal shift that must be apply to the data.
 ;       The resulting value will be stored in the common (cm_4mesh) variable key_shift
 ;       Note that if key_periodic=0 then in any case key_shift = 0.
@@ -169,5 +169,5 @@
 ;       Activate when the model is a C grid based on a F point
 ;       (with a F point at the bottom-left corner and a T point at the
-;       upper-right corner). In this case, we ignore 
+;       upper-right corner). In this case, we ignore
 ;         - the first line of F and V points
 ;         - the last  line of T and U points
@@ -181,5 +181,5 @@
 ;       Activate when the model is a C grid based on a U point
 ;       (with a U point at the bottom-left corner and a T point at the
-;       upper-right corner). In this case, we ignore 
+;       upper-right corner). In this case, we ignore
 ;         - if the grid is not x-periodic, the first column of F and U points
 ;         - if the grid is not x-periodic, the last  column of T and V points.
@@ -191,5 +191,5 @@
 ;       Activate when the model is a C grid based on a V point
 ;       (with a V point at the bottom-left corner and a T point at the
-;       upper-right corner). In this case, we ignore 
+;       upper-right corner). In this case, we ignore
 ;         - the first line of F and V points
 ;         - the last  line of T and U points
@@ -203,5 +203,5 @@
 ;       Used when the model is a ROMS C-grid with one more point
 ;       in longitude for T and V grid and one more point in latitude
-;       for T and U grid. In this case, we ignore 
+;       for T and U grid. In this case, we ignore
 ;         - the last line of T and U points
 ;         - the last column of T and V points.
@@ -215,10 +215,10 @@
 ;       Specify the vertical axis. Must be sorted in the increasing or deceasing order
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ;    (not used in the present case...)
 ;
 ; @uses cm_4mesh cm_4data cm_4cal
 ;
-; @restrictions if the grid has x/y periodicity orverlap and/or if
+; @restrictions if the grid has x/y periodicity overlap and/or if
 ;    the mask has 0 everywhere at the border (like a close sea) and
 ;    if (we did not activate /plain and xminmesh, xmaxmesh, yminmesh,
@@ -230,10 +230,12 @@
 ; @restrictions FUV points definition is not exact if the grid is irregular
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      2000-04-20
-;  Sept 2004, several bug fixs to suit C grid type...
+;  Sept 2004, several bug fix to suit C grid type...
 ;  Aug 2005, rewritte almost everything...
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -996,5 +998,5 @@
       gdepw = gdept
     ENDELSE
-    IF keyword_set(romsh) THEN gdepw = gdept 
+    IF keyword_set(romsh) THEN gdepw = gdept
 ;
 ;====================================================
@@ -1020,5 +1022,5 @@
       tmask = tmask[*]#replicate(1, jpkglo)
       tmask = reform(tmask, jpiglo, jpjglo, jpkglo, /overwrite)
-    ENDIF  
+    ENDIF
     IF jpiglo EQ 1 OR jpjglo EQ 1 THEN tmask = reform(tmask, jpiglo, jpjglo, jpkglo, /overwrite)
     tmask = byte(tmask[ixminmesh:ixmaxmesh, iyminmesh:iymaxmesh, izminmesh:izmaxmesh])
Index: trunk/SRC/Grid/ncdf_meshread.pro
===================================================================
--- trunk/SRC/Grid/ncdf_meshread.pro	(revision 217)
+++ trunk/SRC/Grid/ncdf_meshread.pro	(revision 226)
@@ -6,5 +6,5 @@
 ; @file_comments read NetCDF meshmask file created by OPA
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -46,5 +46,5 @@
 ;
 ; @keyword SHIFT {default=computed according to glamboundary}{type=scalar}
-;    Force the manual definition of the zonal shift that must be apply to the data. 
+;    Force the manual definition of the zonal shift that must be apply to the data.
 ;    The resulting value will be stored in the common (cm_4mesh) variable key_shift
 ;    Note that if key_periodic=0 then in any case key_shift = 0.
@@ -67,5 +67,6 @@
 ;  are equal to -1 they will be automatically defined
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      12/1999
 ; July 2004, Sebastien Masson: Several modifications (micromeshmask,
@@ -75,5 +76,6 @@
 ; Aug. 2005, Sebastien Masson: some cleaning + english
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -218,5 +220,5 @@
 ;
       IF array_equal(sort(xaxis), lindgen(jpi)) NE 1 THEN BEGIN
-        print, 'the x axis (1st line of glamt) is not sorted in the inceasing order after the automatic definition of key_shift'
+        print, 'the x axis (1st line of glamt) is not sorted in the increasing order after the automatic definition of key_shift'
         print, 'please use the keyword shift (and periodic) to suppress the automatic definition of key_shift (and key_periodic) and define by hand a more suitable value...'
         widget_control, noticebase, bad_id = nothing, /destroy
@@ -405,5 +407,5 @@
     tmask = byte(res)
   ENDELSE
-; boudary conditions used to compute umask.
+; boundary conditions used to compute umask.
   varcontient = ncdf_varinq(cdfid, 'umask')
   name = varcontient.name
@@ -420,5 +422,5 @@
     umaskred = reform(byte(res), /over)
   ENDELSE
-; boudary conditions used to compute fmask (1).
+; boundary conditions used to compute fmask (1).
   varcontient = ncdf_varinq(cdfid, 'fmask')
   name = varcontient.name
@@ -433,5 +435,5 @@
     fmaskredy = temporary(fmaskredy) MOD 2
   ENDELSE
-; boudary conditions used to compute vmask
+; boundary conditions used to compute vmask
   varcontient = ncdf_varinq(cdfid, 'vmask')
   name = varcontient.name
@@ -459,5 +461,5 @@
     vmaskred = reform(byte(res), /over)
   ENDELSE
-; boudary conditions used to compute fmask (2).
+; boundary conditions used to compute fmask (2).
   varcontient = ncdf_varinq(cdfid, 'fmask')
   name = varcontient.name
@@ -509,5 +511,5 @@
   ncdf_close,  cdfid
 ;-------------------------------------------------------
-; Apply Glamboudary
+; Apply Glamboundary
 ;-------------------------------------------------------
   if keyword_set(glamboundary) AND key_onearth then BEGIN
Index: trunk/SRC/Grid/ncdf_meshroms.pro
===================================================================
--- trunk/SRC/Grid/ncdf_meshroms.pro	(revision 217)
+++ trunk/SRC/Grid/ncdf_meshroms.pro	(revision 226)
@@ -6,5 +6,5 @@
 ; @file_comments read NetCDF grid file created by ROMS
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -44,8 +44,8 @@
 ; @keyword NRHO {default=1}{type=scalar}
 ;    Specify the number of rho level that contain the data we want to explore.
-;    This is mainly useful when using xxx to get access to the depper levers and vertical sections.
+;    This is mainly useful when using xxx to get access to the deeper levers and vertical sections.
 ;
 ; @keyword SHIFT {default=computed according to glamboundary}{type=scalar}
-;    Force the manual definition of the zonal shift that must be apply to the data. 
+;    Force the manual definition of the zonal shift that must be apply to the data.
 ;    The resulting value will be stored in the common (cm_4mesh) variable key_shift
 ;    Note that if key_periodic=0 then in any case key_shift = 0.
@@ -77,9 +77,11 @@
 ;
 ;  Scale factors are compuited using the distance between the points
-;  (which is not the exact definition for irregulare grid).
-;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr) September 2006
-;
-; @version $Id$
+;  (which is not the exact definition for irregular grid).
+;
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr) September 2006
+;
+; @version
+; $Id$
 ;
 ;-
@@ -197,5 +199,5 @@
 ;
       IF array_equal(sort(xaxis), lindgen(jpi)) NE 1 THEN BEGIN
-        print, 'the x axis (1st line of glamt) is not sorted in the inceasing order after the automatic definition of key_shift'
+        print, 'the x axis (1st line of glamt) is not sorted in the increasing order after the automatic definition of key_shift'
         print, 'please use the keyword shift (and periodic) to suppress the automatic definition of key_shift (and key_periodic) and define by hand a more suitable value...'
         widget_control, noticebase, bad_id = nothing, /destroy
Index: trunk/SRC/Grid/restoreboxparam.pro
===================================================================
--- trunk/SRC/Grid/restoreboxparam.pro	(revision 217)
+++ trunk/SRC/Grid/restoreboxparam.pro	(revision 226)
@@ -5,17 +5,17 @@
 ;
 ; @file_comments restore all the zoom parameters (defined by calling domdef)
-; perviously defined by saveboxparam
+; previously defined by saveboxparam
 ;
-; @param filename {in}{required} 
-; a scalar string defining the file name 
+; @param filename {in}{required}
+; a scalar string defining the file name
 ;
 ; @uses cm_4mesh (and cm_demomode_used if we are in demo mode)
 ;
-; @restrictions call def_myuniquetmpdir, if myuniquetmpdir is undefined: 
+; @restrictions call def_myuniquetmpdir, if myuniquetmpdir is undefined:
 ;               => define, create and add it to !path
 ;
 ; @examples
 ; IDL> restoreboxparam, filename
-; 
+;
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 2005
@@ -88,3 +88,3 @@
   return
 end
-    
+
Index: trunk/SRC/Grid/romsdepth.pro
===================================================================
--- trunk/SRC/Grid/romsdepth.pro	(revision 217)
+++ trunk/SRC/Grid/romsdepth.pro	(revision 226)
@@ -16,5 +16,5 @@
 ; common variable (cm_4mesh) romszinfos must be correctly defined
 ;
-; @history 
+; @history
 ; Sept 2006 Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
@@ -41,5 +41,5 @@
   grille, -1, -1, -1, -1, nx, ny, nz, firstx, firsty, firstz, lastx, lasty, lastz
   hroms = hroms[firstx:lastx, firsty:lasty]
-  nt = n_elements(zeta)/nx/ny 
+  nt = n_elements(zeta)/nx/ny
 ;
   cff1 = 1./sinh(theta_s)
@@ -47,9 +47,9 @@
 ;
   IF type EQ 'W' THEN BEGIN
-    sc = (findgen(jpk)-jpk)/jpk      
-;  sc = (dindgen(jpk+1)-jpk)/jpk      
+    sc = (findgen(jpk)-jpk)/jpk
+;  sc = (dindgen(jpk+1)-jpk)/jpk
 ;  jpk = jpk+1
   ENDIF ELSE BEGIN
-    sc = (findgen(jpk)-jpk-0.5+1)/jpk  
+    sc = (findgen(jpk)-jpk-0.5+1)/jpk
   ENDELSE
 ;
@@ -60,5 +60,5 @@
   hinv = 1./hroms
   hinv = hinv[*]#replicate(1., jpk)
-; put a z dimenstion to zeta
+; put a z dimension to zeta
   zeta = transpose(temporary(zeta))
   zeta = reform((temporary(zeta))[*]#replicate(1., jpk), nt, ny, nx, jpk, /overwrite)
